Subject: Summary: the most common structure

From: "水客" <[email-masked]>
Date: Thu, 11 Jul 2002 14:46:15 +0800

Dear CCL,
   There are some very helpful responses to my query about the most common structure.
   They are listed below (with permission for responses not already posted to the list).
   Looks like this can work with some care (kernel problems for which patches are available seem to be the key).
   I really appreciate the responses provided, 
		Steve Bowlus, 
		Rick Venable, 
		David Shobe.
   Who have the program about it, please tell me, thanks.                     

---------------------
Original Question:

Sir/Miss：
    Good morning.
	Who can tell me how to pick up the most common structure from a set
of compounds, and save it into a structure file? Could you indicate to me
further softwares able to perform the same task? I have SYBYL software, but
no DISTILL module.

================================
Here are the answers received:
================================

From: David Shobe < [email-masked] >
	
	I dont' have the answer, but I will ask a clarifying question that may help others.
 	If you take the phrase "most common structure" literally, it means the (sub)structure which is present in the greatest number of compounds in the set. This would end up being individual atoms like C or H, if we don't make any restrictions on what is a structure.  But if there is a restriction, for example that a "structure" must consist of at least 5 atoms, then this would be a meaningful question with a nontrivial answer.
	However, the above interpretation relies on a fine point of English usage, and I would not be surprised if the intended request is for the LARGEST common structure, that is the largest substructure which is present in ALL of the compounds of the set.  
	Note that "common" can mean either "occurring frequently" as in the first interpretation, or "occurring in all" as in the second.  
	I didn't mean to turn this into an English lesson, but I hope this ensures that the right question is answered.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Form Rick Venable <[email-masked]>

I usually use a 2 step process:

(1) compute the average coordinate structure 
(2) find structure with smallest coord RMSD vs. average

	I've termed this the 'typical' structure.  I often limit the RMSD calc to heavy atoms, or just the polymer backbone.
	I use CHARMM for this, but perhaps SYBYL has a scripting procedure that could be used to accomplish the 2 steps.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> From  Steve Bowlus <[email-masked]>

Since you refer to the Distill module, I infer you are looking for the "Maximal Common Substructure" (in Tripos parlance).  This will entail a lot of trying this and trying that, but one way to attack the problem is 

0) Just to make visualization easier, delete all H from the compounds in your database.
1) select a "representative" molecule from the database.
2) guess the largest substructure, and delete all other atoms
  - You can make a guess and run, or you can nibble away at the molecule by deleting "trivial" functionality
3) run File > Align Database using the structure from 2 as the alignment template
  - If the fragment is present in every molecule, the alignment will run without any messages informing you that the structure is not present.
4) iterate steps 2 and 3 until the alignment step gives no messages.  You can check by loading the database into Sybyl (database get * m2 retrieve); the aligned molecules will stack up very clearly using the substructure from 2
	
	This does not guarantee that the fragment you find is the largest or only large common fragment, but you can try other starting points as well.

================================================================================================

Li Qiang

Shanghai Institute of Organic Chemistry
Chinese Academy of Sciences 

No.354 Road FengLin
ShangHai, 200032, China
Phone: 08621-64163300-2735
Fax: 08621-64166128